# Licensing

{% hint style="info" %}
Click [Here ](/license-option.md)to get details about RECOGNITO license option

[License Option](/license-option.md)
{% endhint %}

## Get your Application ID

To activate SDK, you have to first get your Application ID in your `build.gradle` file:

```gradle
 android { 
     namespace 'com.bio.facerecognition' 
     compileSdk 33 
  
     defaultConfig { 
         applicationId "com.bio.facerecognition" 
         minSdk 24 
         targetSdk 33 
         versionCode 4 
         versionName "1.3" 
```

## Request License

Share your Application ID with us for license key.

[**Contact us**](/contact-and-support.md)

## Activate SDK

[Activate](/face-liveness-detection-sdk/integration-guide/android/api-reference.md#setactivation) the SDK with license key. Should be called before using of any other functions.

{% code title="MainActivity.kt" %}

```kotlin
import com.bio.facesdk.FaceSDK

val license_str = application.assets.open("license").bufferedReader().use{ 
    it.readText() 
} 
  
var ret = FaceSDK.setActivation(license_str) 
  
if (ret == FaceSDK.SDK_SUCCESS) { 
    ret = FaceSDK.init(assets) 
} 
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.recognito.vision/face-liveness-detection-sdk/integration-guide/android/licensing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
